Page MenuHomePhabricator

Maps - enable Geoshapes on production
Closed, ResolvedPublic

Description

Geoshape is the polygon or line data stored in the OpenStreetMap database, identifiable by Wikidata ID. It allows MediaWiki-extensions-Graph and Maps to draw overlays without storing the raw data on wiki.

Largest use case is Wikivoyage, where it could replace GPX stored in wikipage and help migration of Wikivoyage to maps.wikimedia.org.

This task is here mainly to track the prerequisites to activate Geoshapes on production. In this context, activate on production means removing the referer check. Geoshape is already deployed, but its use is limited by a referer check.

Event Timeline

Gehel created this task.Jun 23 2016, 6:49 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 23 2016, 6:49 PM
Yurik updated the task description. (Show Details)Jun 23 2016, 8:29 PM
Yurik moved this task from Kartotherian to Maps-data on the Maps board.Jun 26 2016, 8:20 PM
Abbe98 added a subscriber: Abbe98.Jun 26 2016, 9:00 PM
MoritzMuehlenhoff triaged this task as Medium priority.Jul 6 2016, 12:28 PM
Gehel updated the task description. (Show Details)Jul 11 2016, 9:31 PM
Gehel added a comment.EditedJul 11 2016, 9:37 PM

There are multiple examples of Geoshapes, showing that the service works and behaves correctly. Limit on max statement timeout have been setup on postgresql. I see no reason to have a specific referer check on this service. I propose we remove the referer check and let Geoshapes have the same non production status but available as the rest of maps.

If you have an objection, let me know. For the moment, I'll remove T133744 as a dependency, this is not about a full production status, this is about letting user play with this service.

Yurik closed this task as Resolved.Jul 19 2016, 9:49 PM
Yurik claimed this task.